package at.jku.ssw.map;

import at.jku.ssw.Iterator;
import at.jku.ssw.list.impl.LinkedList;

public class MapIterator extends Iterator {
	private final Iterator pairListIterator;

	public MapIterator(LinkedList pairList) {
		this.pairListIterator = pairList.iterator();
	}

	@Override
	public boolean hasNext() {
		return pairListIterator.hasNext();
	}

	@Override
	public Object next() {
		return pairListIterator.next();
	}

}
